<?php

/**
 * <ModuleClassName> => Alianspay
 * <FileName> => validation.php
 * Format expected: <ModuleClassName><FileName>ModuleFrontController
 */
class AlianspayValidationModuleFrontController extends ModuleFrontController
{
    public function postProcess()
    {
        if($_SERVER['REMOTE_ADDR'] != '82.223.108.192') die('Error');
        $post = json_decode(file_get_contents('php://input'), true);

        $status = isset($post['Status']) ? $post['Status'] : null;
        $cartId = isset($post['Reference']) ? $post['Reference'] : null;
        $paymentMethod = isset($post['PaymentMethod']) ? $post['PaymentMethod'] : null;

        if (!$status || !$cartId) die(json_encode(['Status' => false, 'Message' => 'ERROR']));

        if ($status == 'SUCCESSFUL') {
            $cart = new Cart((int) $cartId);
            $order_status = 2; // Payment Accepted
            $order_total = $cart->getOrderTotal();
            $this->module->validateOrder($cart->id, $order_status, $order_total, $paymentMethod);
        }

        die(json_encode(['Status' => true, 'Message' => 'OK']));
    }
}